summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2013-03-12 11:50:42 +0800
committerPatrick Lauer <patrick@gentoo.org>2013-03-12 11:50:42 +0800
commit3ab080bed9df0b743ae8b9e31496ec62fea3eba3 (patch)
tree5b17118b59674116880f85bc60df46f94558187f /sys-apps/fileschanged/fileschanged-0.6.5-r1.ebuild
parent[sys-apps/fspy] Adding ~amd64 keyword (diff)
downloadsunrise-3ab080bed9df0b743ae8b9e31496ec62fea3eba3.tar.gz
sunrise-3ab080bed9df0b743ae8b9e31496ec62fea3eba3.tar.bz2
sunrise-3ab080bed9df0b743ae8b9e31496ec62fea3eba3.zip
[sys-apps/fileschanged] Adding ~amd64 keyword, fixing bad cflags override
Diffstat (limited to 'sys-apps/fileschanged/fileschanged-0.6.5-r1.ebuild')
-rw-r--r--sys-apps/fileschanged/fileschanged-0.6.5-r1.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/sys-apps/fileschanged/fileschanged-0.6.5-r1.ebuild b/sys-apps/fileschanged/fileschanged-0.6.5-r1.ebuild
new file mode 100644
index 000000000..47d6a5059
--- /dev/null
+++ b/sys-apps/fileschanged/fileschanged-0.6.5-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+DESCRIPTION="Utility that reports when files have been altered"
+HOMEPAGE="http://fileschanged.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls"
+
+DEPEND="virtual/fam"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ econf $(use_enable nls)
+}
+
+src_compile() {
+ # silly cflags need to be corrected
+ sed -i -e 's/-Werror//' src/Makefile || die
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc ChangeLog README TODO || die "dodoc failed"
+ # make install installs the doc files in wrong directory.
+ rm -rf "${D}"/usr/share/${PN}
+}